streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func Class Reference
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func:

## Public Member Functions

| send_func (StreamFactory &factory, device_type d)
template<typename... FnArgs>
void | operator() (FnArgs &... args)

## Private Attributes

StreamFactory & | my_factory
device_type | my_device

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename... Args>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func

Definition at line 570 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## send_func()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func::send_func | ( | StreamFactory & | factory,
|  | device_type | d
| ) |  |

inline

Definition at line 572 of file _flow_graph_streaming_node.h.

: my_factory(factory), my_device( d ) {}

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename... FnArgs>

void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func::operator() | ( | FnArgs &... | args | ) |

inline

Definition at line 576 of file _flow_graph_streaming_node.h.

{
my_factory.send_data( my_device, args... );
}

## Member Data Documentation

## my_device

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

device_type streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func::my_device

private

Definition at line 581 of file _flow_graph_streaming_node.h.

## my_factory

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>

StreamFactory& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func::my_factory

private

Definition at line 580 of file _flow_graph_streaming_node.h.

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::send_func::my_factory
StreamFactory & my_factory
Definition: _flow_graph_streaming_node.h:580
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::send_func::my_device
device_type my_device
Definition: _flow_graph_streaming_node.h:581

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.